class CreateAwsImportTable < ActiveRecord::Migration
  def change
    create_table :aws_billing_imports, id: false do |t|
      t.string :invoice_id
      t.string :payer_account_id
      t.string :linked_account_id
      t.string :record_type
      t.string :record_id
      t.string :product_name
      t.string :rate_id
      t.string :subscription_id
      t.string :pricing_plan_id
      t.string :usage_type
      t.string :operation
      t.string :availability_zone
      t.string :reserved_instance
      t.string :item_description
      t.datetime :usage_start_date
      t.datetime :usage_end_date
      t.float :usage_quantity
      t.float :rate
      t.float :cost
      t.string :resource_id
    end
  end
end
