class CreateIndexes < ActiveRecord::Migration
  def change
    add_index :volumes, :remote_id
    add_index :volumes, :server_id
    add_index :volumes, :availability_zone_id
    add_index :volumes, :last_import_id
    add_index :servers, :remote_id
    add_index :servers, :availability_zone_id
    add_index :servers, :flavor_id
    add_index :servers, :last_import_id
    add_index :tags, [:taggable_id, :taggable_type]

    add_index :aws_billing_imports, :operation
    add_index :aws_billing_imports, :item_description
    add_index :aws_billing_imports, :resource_id
    add_index :aws_billing_imports, :usage_start_date
    add_index :aws_billing_imports, :usage_end_date
  end
end
